Apache2(3)

NAME
APR::Request::Apache2 - wrapper for a mod_apreq2 handle.

SYNOPSIS
  use APR::Request::Apache2;
  my $req = APR::Request::Apache2->handle($r);

DESCRIPTION
The APR::Request::Apache2 module provides a constructor for interfacing with the mod_apreq2 Apache module.

This manpage documents version 2.13 of the APR::Request::Apache2 package.

METHODS
APR::Request::Apache2 - derived from "APR::Request".

  handle
    APR::Request::Apache2->handle($r)

Creates an APR::Request::Apache2 object. The argument $r is an Apache2::RequestRec object (from mod_perl2).

SEE ALSO
APR::Request, Apache2::RequestRec.

COPYRIGHT
  Licensed to the Apache Software Foundation (ASF) under one or more
  contributor license agreements.  See the NOTICE file distributed with
  this work for additional information regarding copyright ownership.
  The ASF licenses this file to You under the Apache License, Version 2.0
  (the "License"); you may not use this file except in compliance with
  the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.